---
layout: docs
page_title: 'Commands: operator snapshot save'
description: |
  Saves snapshot of Nomad server state
---

# Command: operator snapshot save

Retrieves an atomic, point-in-time snapshot of the state of the Nomad servers
which includes jobs, nodes, allocations, periodic jobs, and ACLs for [outage
recovery].

If ACLs are enabled, a management token must be supplied in order to perform
snapshot operations.

<Warning>

This command only saves a Raft snapshot. If you use this snapshot to recover a
cluster, you will also need to [restore the keyring][] onto at least one server.

</Warning>

To create a snapshot from the leader server and save it to "backup.snap":

```shell-session
$ nomad operator snapshot save backup.snap
```

To create a potentially stale snapshot from any available server (useful if no
leader is available):

```shell-session
$ nomad operator snapshot save -stale backup.snap
```

## Usage

```plaintext
nomad operator snapshot save [options] <file>
```

## General Options

@include 'general_options_no_namespace.mdx'

## Snapshot Save Options

- `-stale`: The stale argument defaults to "false" which means the leader
  provides the result. If the cluster is in an outage state without a leader, you
  may need to set `-stale` to "true" to get the configuration from a non-leader
  server.

[outage recovery]: /nomad/tutorials/manage-clusters/outage-recovery
[restore the keyring]: /nomad/docs/operations/key-management#restoring-the-keyring-from-backup
